Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226348 - Merge Review: python-virtinst
Summary: Merge Review: python-virtinst
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lutterkort
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:47 UTC by Nobody's working on this, feel free to take it
Modified: 2013-04-30 23:40 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-02-12 14:20:06 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:47:06 UTC
Fedora Merge Review: python-virtinst

http://cvs.fedora.redhat.com/viewcvs/devel/python-virtinst/
Initial Owner: katzj@redhat.com

Comment 1 David Lutterkort 2007-05-03 22:25:20 UTC
Review based on
http://koji.fedoraproject.org/packages/python-virtinst/0.103.0/3.fc7/src/python-virtinst-0.103.0-3.fc7.src.rpm

Specfile looks ok overall. Small comments

- Not strictly necessary here, but we encourage people to use %global instead of
%define in spec files
(http://fedoraproject.org/wiki/PackagingDrafts/global_preferred_over_define)

- Source0 needs to be a complete URL to the released source tarball

- Should the provide of virtinst be versioned ?

rpmlint says:

  E: python-virtinst non-executable-script
/usr/lib/python2.5/site-packages/virtinst/ParaVirtGuest.py 0644
  E: python-virtinst non-executable-script
/usr/lib/python2.5/site-packages/virtinst/DistroManager.py 0644
  E: python-virtinst non-executable-script
/usr/lib/python2.5/site-packages/virtinst/Guest.py 0644
  E: python-virtinst non-executable-script
/usr/lib/python2.5/site-packages/virtinst/FullVirtGuest.py 0644
  E: python-virtinst non-executable-script
/usr/lib/python2.5/site-packages/virtinst/util.py 0644

Strip the #!/usr/bin/python from those files; seems unnecessary, anyway

  W: python-virtinst obsolete-not-provided python-xeninst

Should be fixed


Comment 2 Jeremy Katz 2007-05-03 23:25:27 UTC
(In reply to comment #1)
> - Should the provide of virtinst be versioned ?

Can't hurt.

>   W: python-virtinst obsolete-not-provided python-xeninst 
> Should be fixed

python-xeninst _isn't_ provided, though.  That API was 'import xeninst'.  At
this point, we can probably just drop the obsolete entirely, though. 
python-xeninst was the name before we made it more generic as virtinst.  But
that was only ever in rawhide.




Comment 3 David Lutterkort 2008-01-10 23:34:14 UTC
Cole, could you take care of the above spec changes so we can get the review
finished ?

Comment 4 Daniel Berrange 2008-01-11 02:06:11 UTC
These fixes will be in the new rawhide build python-virtinst-0_300_2-1_fc9


Comment 5 Mark McLoughlin 2009-02-12 14:20:06 UTC
closing


Note You need to log in before you can comment on or make changes to this bug.